Subject: Re: strlen on a NULL
From: [email-masked] (Valery Fine)

13 May 1998 05:58:15 -0700
Message-ID: <[email-masked]>
References: <[email-masked]>
Reply-To: [email-masked]
To: Ian Collins <[email-masked]>
Cc: [email-masked]

On 12 May 98 at 18:05, Ian Collins wrote:

> If I do a strlen on a NULL pointer I get a coredump.
> I have the same code running on a few *other* Unix machines with
> exhibiting this behaviour. OK, so I could tidy it up, but I wondered
> is this an oversight or the correct behaviour?

  This depends of the implementation of str* "family".

  In general one should NOT assume this "family" does accept ZERO 
pointer.  (From our experience of supporting 12 diff UNIX platforms, 
Win 95 /NT (Symantec ,MSVC) it is 50 % / 50 % ).

  Hope this helps ;-)
                Valery

=================================================================
Dr. Valeri Faine (Fine)
    -------------------          Phone: +1 516 344 7806
Brookhaven National Laboratory   FAX  : +1 516 344 4206
Bldg. 510A /STAR                 mailto:[email-masked]
Upton, New York, 11973-5000      http://nicewww.cern.ch/~fine
USA
                                 
Dr. Valery Fine                  Telex : 911621 dubna su
    -----------
LCTA/Joint Inst.for Nuclear Res. Phone : +7 09621 6 40 80
141980 Dubna, Moscow region      Fax   : +7 09621 6 51 45
Russia                           mailto:[email-masked]                              

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".